Package org.jboss.resteasy.client.jaxrs.cache

## Class CacheInterceptor

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.cache.CacheInterceptor

- All Implemented Interfaces:
    `javax.ws.rs.client.ClientRequestFilter`, `javax.ws.rs.client.ClientResponseFilter`

      public class CacheInterceptor
      extends Object
      implements javax.ws.rs.client.ClientRequestFilter, javax.ws.rs.client.ClientResponseFilter

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected BrowserCache` | `cache` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CacheInterceptor​(BrowserCache cache)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cacheIfPossible​(javax.ws.rs.client.ClientRequestContext request, javax.ws.rs.client.ClientResponseContext response)` |
    `void` | `filter​(javax.ws.rs.client.ClientRequestContext request)` |
    `void` | `filter​(javax.ws.rs.client.ClientRequestContext request, javax.ws.rs.client.ClientResponseContext response)` |
    `protected BrowserCache.Entry` | `getEntry​(javax.ws.rs.client.ClientRequestContext request)` |
    `void` | `updateOnNotModified​(javax.ws.rs.client.ClientRequestContext request, BrowserCache.Entry old, javax.ws.rs.client.ClientResponseContext response)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cache

          protected BrowserCache cache

  - ### Constructor Detail

    - #### CacheInterceptor

          public CacheInterceptor​(BrowserCache cache)

  - ### Method Detail

    - #### filter

          public void filter​(javax.ws.rs.client.ClientRequestContext request)
                      throws IOException

      Specified by:
        `filter` in interface `javax.ws.rs.client.ClientRequestFilter`
      Throws:
        `IOException`

    - #### filter

          public void filter​(javax.ws.rs.client.ClientRequestContext request,
                             javax.ws.rs.client.ClientResponseContext response)
                      throws IOException

      Specified by:
        `filter` in interface `javax.ws.rs.client.ClientResponseFilter`
      Throws:
        `IOException`

    - #### updateOnNotModified

          public void updateOnNotModified​(javax.ws.rs.client.ClientRequestContext request,
                                          BrowserCache.Entry old,
                                          javax.ws.rs.client.ClientResponseContext response)

    - #### cacheIfPossible

          public void cacheIfPossible​(javax.ws.rs.client.ClientRequestContext request,
                                      javax.ws.rs.client.ClientResponseContext response)
                               throws IOException

      Throws:
        `IOException`

    - #### getEntry

          protected BrowserCache.Entry getEntry​(javax.ws.rs.client.ClientRequestContext request)
                                         throws Exception

      Throws:
        `Exception`